class CAVIEncoderProperties : public CBasePropertyPage
{

public:

    static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);

private:

    BOOL OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
    HRESULT OnConnect(IUnknown *pUnknown);
    HRESULT OnDisconnect();
    HRESULT OnActivate();
    HRESULT OnDeactivate();
    HRESULT OnApplyChanges();

    void    GetControlValues();
	void	setFRate(double frate);

    CAVIEncoderProperties(LPUNKNOWN lpunk, HRESULT *phr);

    BOOL m_bIsInitialized;			// Used to ignore startup messages
	int m_top;						// the top crop
	int m_bottom;					// the bottom crop
	int m_left;						// the left crop
	int m_right;					// the right crop
	int m_width;					// the width to scale to
	int m_height;					// the height to scale to
	int m_deinterlace;				// if !=0 deinterlace video 
	double m_frate;					// the output framerate
    IIPAVIEnc *m_pIPAviEnc;   // The custom interface on the filter
	TCHAR m_filename[MAX_PATH];		// the output file name
	int m_aviopts;					// if !=0 avi options are displayed
}; // AVIEncoderProperties

