// A custom interface to allow the user to set parameters
#ifndef __INF_AVE__
#define __INF_AVE__

#ifdef __cplusplus
extern "C" {
#endif

	// {7422D0C3-AF0F-11d3-861C-0000F8069A8F}
	DEFINE_GUID(IID_IIPAVIEnc, 
	0x7422d0c3, 0xaf0f, 0x11d3, 0x86, 0x1c, 0x0, 0x0, 0xf8, 0x6, 0x9a, 0x8f);

    DECLARE_INTERFACE_(IIPAVIEnc, IUnknown)
    {
        STDMETHOD(get_IPAVIEnc) (THIS_
                    int *top,	        // the top crop
                    int *bottom,        // the bottom crop
                    int *left,	        // the left crop
                    int *right,	        // the right crop
                    int *width,		    // the width to scale to
                    int *height,	    // the height to scale to
					int *deint,			// if !=0 deinterlace video 
					double *frate,		// the output frame rate
					LPSTR filename,		// name of output file
					int *showopt		// if !=0 show avi options
				) PURE;

        STDMETHOD(put_IPAVIEnc) (THIS_
                    int top,	        // the top crop
                    int bottom,			// the bottom crop
                    int left,	        // the left crop
                    int right,	        // the right crop
                    int width,			// the width to scale to
                    int height,		    // the height to scale to
					int deint,			// if !=0 deinterlace video 
					double frate,		// the output frame rate
					LPSTR filename,		// name of output file
					int showopt			// if !=0 show avi options
				) PURE;

        STDMETHOD(get_FrameCount) (THIS_
                    long *frames 	    // the number of frames encoded
                 ) PURE;

        STDMETHOD(close_AVI) (THIS_
                 ) PURE;

    };

#ifdef __cplusplus
}
#endif

#endif // __INF_AVE__
