class CMFSPropertiesFile : public CBasePropertyPage
{

public:

    static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);

    ~CMFSPropertiesFile()
    {
		FreeFileList();
    }

private:

    BOOL OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
    HRESULT OnConnect(IUnknown *pUnknown);
    HRESULT OnDisconnect();
    HRESULT OnActivate();
    HRESULT OnDeactivate();
    HRESULT OnApplyChanges();

    void    GetControlValues();

	void FreeFileList()
	{
		MFS_FileList	*fl, *nfl;

		fl=m_first;
		while(fl)
		{
			nfl=fl->Next;
			CoTaskMemFree(fl);
			fl=nfl;
		}
		m_first=NULL;
	}

    CMFSPropertiesFile(LPUNKNOWN lpunk, HRESULT *phr);

    BOOL			m_bIsInitialized;		// Used to ignore startup messages
	MFS_FileList	*m_first;				// the first entry in the file list
    IIPMFSrc		*m_pIPMFSrc;			// The custom interface on the filter
	LONGLONG		m_llskip;				// how many bytes to skip at the beg of file
}; 

